de.heatup.ui.statusPanel

## Class Temperature

- java.lang.Object
- - de.heatup.ui.statusPanel.Temperature

    public class Temperature
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Temperature(int gmin, int gmax, int gtemp)`

### Method Summary

Methods
`int` `getTemp()`
`boolean` `raiseTemp(int additional)`
`boolean` `reduceTemp(int reduce)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Temperature

    public Temperature(int gmin,
               int gmax,
               int gtemp)

### Method Detail

#### getTemp

    public int getTemp()

#### raiseTemp

    public boolean raiseTemp(int additional)

#### reduceTemp

    public boolean reduceTemp(int reduce)